unit pdf2txtD6;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls,ShellApi;
Function pdf2txt(Source: PChar; Destination : PChar) : longint; stdcall; external 'pdf2txt.dll' name 'PDF2TXT';
type
  TForm1 = class(TForm)
    Button1: TButton;
    Open: TOpenDialog;
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
var
  TxtFile : String;
begin
  // if ok
  if open.Execute then
    begin
      // Application exe path and add filename for txt
      TxtFile:=ExtractFileDir(ParamStr(0))+'\Temp.Txt';
      // Txt file exist ?
      If FileExists(TxtFile) then
        // ok delete it
        DeleteFile(TxtFile);
      // convert the file
      Pdf2Txt(PChar(open.Filename),PChar(TxtFile));
      // open notepad with textfile
      ShellExecute(0,'open',PChar(TxtFile),0,0,SW_SHOW);
    end;
end;

end.
